Bug 529168 - ghci segfaults at startup on ppc
ghci segfaults at startup on ppc
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: ghc (Show other bugs)
11
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-15 06:06 EDT by Stefan Schulze Frielinghaus
Modified: 2009-10-20 22:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-18 06:07:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Schulze Frielinghaus 2009-10-15 06:06:35 EDT
Description of problem:
At startup of GHCi a segmentation fault is reported.

gdb --args /usr/lib/ghc-6.10.3/ghc -B/usr/lib/ghc-6.10.3/. -dynload wrapped --interactive
(gdb) run
Starting program: /usr/lib/ghc-6.10.3/ghc -B/usr/lib/ghc-6.10.3/. -dynload wrapped --interactive
[Thread debugging using libthread_db enabled]
[New Thread 0x48bff490 (LWP 6159)]
[New Thread 0x495ff490 (LWP 6160)]
GHCi, version 6.10.3: http://www.haskell.org/ghc/  :? for help

Program received signal SIGSEGV, Segmentation fault.
0x10fa7b80 in ?? ()
(gdb) bt
#0  0x10fa7b80 in ?? ()
#1  0x10fa7c80 in ?? ()
#2  0x100f8094 in ?? ()
#3  0x10facf04 in ?? ()
#4  0x10fa855c in ?? ()
#5  0x10fa7e7c in ?? ()
#6  0x10fa7f98 in ?? ()
#7  0x0fe0f3fc in generic_start_main (main=<value optimized out>, 
    argc=<value optimized out>, ubp_av=<value optimized out>, 
    auxvec=<value optimized out>, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, 
    stack_end=<value optimized out>) at ../csu/libc-start.c:220
#8  0x0fe0f5a0 in __libc_start_main (argc=<value optimized out>, 
    ubp_av=<value optimized out>, ubp_ev=<value optimized out>, 
    auxvec=<value optimized out>, rtld_fini=<value optimized out>, 
    stinfo=<value optimized out>, stack_on_entry=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/powerpc/libc-start.c:92
#9  0x00000000 in ?? ()

I installed the debugging symbol package for glibc but couldn't find a package for ghc. If someone could point me to a debugging symbol package, then I could provide a more verbose output of gdb.

Version-Release number of selected component (if applicable):
ghc-6.10.3-3.fc11

How reproducible:
Just run "ghci"
Comment 1 Conrad Meyer 2009-10-15 18:38:27 EDT
Note: I filed a bug upstream about ghci segfaulting on PPC a long time ago: http://hackage.haskell.org/trac/ghc/ticket/2972
Comment 2 Jens Petersen 2009-10-15 20:20:41 EDT
Stefan, perhaps you could try and see if ghc-6.12 will be any better here.
Comment 3 Jens Petersen 2009-10-15 20:23:00 EDT
Further, I don't think Fedora has resources to work on this alas,
so echoing Conrad: best to push on this upstream.  Note that upstream
don't provide Linux/ppc builds any more (and we don't have ppc64, etc).
Comment 4 Stefan Schulze Frielinghaus 2009-10-18 06:07:22 EDT
(In reply to comment #2)
> Stefan, perhaps you could try and see if ghc-6.12 will be any better here.

I tried SVN snapshot 20091015 but the problem still persists.

(In reply to comment #3)
> Further, I don't think Fedora has resources to work on this alas,
> so echoing Conrad: best to push on this upstream.  Note that upstream
> don't provide Linux/ppc builds any more (and we don't have ppc64, etc).  

I understand this completely if resources aren't available. Fedora is not responsible to fix such things and according to Conrad upstream is already informed. So I will close this bug as WONTFIX.

Thanks for informing upstream.
Comment 5 Conrad Meyer 2009-10-18 13:13:05 EDT
Just to be clear (for future readers of this ticket): GHC on PPC still (mostly) works, just not interactive mode.
Comment 6 Jens Petersen 2009-10-20 22:51:30 EDT
Segfault also happens with 6.12-RC1 fwiw.

Note You need to log in before you can comment on or make changes to this bug.